Page MenuHomePhabricator

Clarify minerva preference name
Closed, ResolvedPublic

Description

As seen in the data from the parent task, we appear to have accumulated a little bit of drift in the minerva preference name. We should rectify this soon.

| minerva      |     105 |
| minervaneue  |      27 |
| minerva-neue |       8 |

I'm assuming it's one of the latter, but clarification would be great thx :)

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterAdd simple cleanup script for old minerva preferences
mediawiki/skins/MinervaNeue : masterStandardise on MinervaNeue's skin name (minerva)

Event Timeline

demon created this task.Jul 25 2017, 7:28 PM
Reedy added a comment.Jul 25 2017, 7:31 PM
$ mwscript eval.php enwiki
> var_dump( Skin::getSkinNames() );
array(8) {
  ["vector"]=>
  string(6) "Vector"
  ["monobook"]=>
  string(8) "MonoBook"
  ["modern"]=>
  string(6) "Modern"
  ["cologneblue"]=>
  string(11) "CologneBlue"
  ["minervaneue"]=>
  string(11) "MinervaNeue"
  ["minerva"]=>
  string(7) "Minerva"
  ["fallback"]=>
  string(8) "Fallback"
  ["apioutput"]=>
  string(9) "ApiOutput"
}

From my understanding

Currently there are two valid names for Minerva skin

  • minerva (backwards compability)
  • minervaneue (new name)

we can safely remove minerva-neue.

demon added a comment.Jul 26 2017, 5:17 AM

We can also safely normalize the back compatible version to the new one 😊

Change 367929 had a related patch set uploaded (by Chad; owner: Chad):
[mediawiki/skins/MinervaNeue@master] Add simple clenaup script for old minerva preferences

https://gerrit.wikimedia.org/r/367929

Currently MinervaNeue registers

"ValidSkinNames": {
        "minervaneue": "MinervaNeue",
        "minerva": "Minerva"
},

so both minervaneue and minerva are valid skin names right now (you can set minerva via the API.. which is I guess how this has happened).

minerva-neue can be renamed safely to minervaneue, but we'll need to do some investigation into which of these names to use - minervaneue is consistent with the skin name, but Minerva may be needed for backwards compatibility (with MediaWiki:Common/minerva.less ... I'll have to explore how that works)

Having a maintenance script will be useful - we can monitor this and fix as needed.

demon added a comment.Jul 26 2017, 6:15 PM

If we want to do it in two batches as you're suggesting, we can amend my patch to do so. Let's follow up there

Jdlrobson moved this task from Backlog to Bugs on the MinervaNeue board.Aug 16 2017, 8:47 PM

Change 372472 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Standardise on MinervaNeue skin name

https://gerrit.wikimedia.org/r/372472

So definitely need to standardise on MinervaNeue
https://en.wikipedia.org/wiki/MediaWiki:Minerva.js and https://en.wikipedia.org/wiki/MediaWiki:MinervaNeue.js currently both work depending on which key you use.

MinervaNeue would be preferred since that's the skin repo name.

When attempting to remove it I'm seeing lots of problems with styles. We should debug those before standardising on the right name: T173546

Change 372472 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Standardise on MinervaNeue's skin name (minerva)

https://gerrit.wikimedia.org/r/372472

I made a decision and landed on "minerva".
I'm not sure if it's worth the time porting minervaneue and minerva-neue to "minerva" but if that's easy please go for it during next weeks train (or now - if we do that now the preference will be honoured it just will not show up as selected in preferences)

Jdlrobson moved this task from Inbox to Done on the User-Jdlrobson board.Oct 12 2017, 10:21 PM
Jdlrobson moved this task from Bugs to Blocked on the MinervaNeue board.Oct 16 2017, 10:37 PM
Jdlrobson closed this task as Resolved.Oct 18 2017, 11:04 PM
Jdlrobson claimed this task.

Minerva has temporarily disappeared from preferences due to https://gerrit.wikimedia.org/r/374617 failing to merge but "minerva" should now be considered the correct name going forward.
https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences#mw-prefsection-rendering

Change 367929 abandoned by Chad:
Add simple cleanup script for old minerva preferences

https://gerrit.wikimedia.org/r/367929

demon added a comment.Feb 1 2018, 10:18 PM

minerva-neue had exactly 10 instances across all wikis (4 on enwiki, 1 each on 6 others). I just cleaned them up. minervaneue has 72 wikis it's on, so not doing right now.